import type { WithId } from "mongodb";

export interface IPost extends WithId<any> {
	id: string;
	authorId: string;
	message: string;
	visibility: ContentVisibility;
	image?: string;
	upvote?: IUpVote[];
	metadata: IMetadata;
}

export interface IComment {
	id: string;
	parentId?: string;
	authorId: string;
	message: string;
	metadata: IMetadata;
}

export interface IUpVote {
	sourceId: string;
	iat: number;
}

export interface IMetadata {
	iat: number;
	uat?: number;
	reported?: boolean;
}

export enum ContentVisibility {
	public = 0,
	followers = 1,
	friend = 2,
	hidden = 3,
}
