import { DatabasesService } from "@services/databases/databases.service";

const db = new DatabasesService("OnlyDevs");

async function getByEmail(email: string) {
	return await db.getUserByEmail(email);
}

async function getByUsername(username: string) {
	return await db.getUserByUsername(username);
}

async function getAll() {
	return db.getAllUsers();
}

async function getById(id: string) {
	return await db.getUserById(id);
}

async function getFollowers(id: string) {
	return await db.getFollowersById(id);
}

async function getFollowing(id: string) {
	return await db.getFollowingById(id);
}

const get = {
	byUsername: getByUsername,
	byEmail: getByEmail,
	byId: getById,
	all: getAll,
	followers: getFollowers,
	following: getFollowing,
};

const UsersService = {
	get,
};

export default UsersService;
