import * as process from "node:process";
import { LogsUtils } from "@utils/logs.util";

export class EnvUtils {
	private _envs: NodeJS.ProcessEnv;
	private log: LogsUtils;

	constructor(contextName: string) {
		this.log = new LogsUtils(contextName);
		this._envs = process.env;
	}

	get(envName: string) {
		const value = this._envs[`${envName.toString()}`]?.toString();
		this.log.debug("Getting environment variable..", `${envName} = "${value}"`);
		return value || null;
	}
}
