import type { Request } from "express";

async function getTokenFromHeader(req: Request) {
	const token: string | undefined = req.headers.authorization?.split(" ")[1];
	if (!token || token.length <= 0) {
		return false;
	}
	return token;
}

export const HeaderUtil = {
	getToken: getTokenFromHeader,
};
